# -*- encoding: utf-8 -*-
# stub: middleware 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "middleware"
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Mitchell Hashimoto"]
  s.date = "2012-03-16"
  s.description = "Generalized implementation of the middleware abstraction for Ruby."
  s.email = ["mitchell.hashimoto@gmail.com"]
  s.files = [".gitignore", ".travis.yml", ".yardopts", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "lib/middleware.rb", "lib/middleware/builder.rb", "lib/middleware/runner.rb", "lib/middleware/version.rb", "middleware.gemspec", "spec/middleware/builder_spec.rb", "spec/middleware/runner_spec.rb", "spec/setup.rb", "user_guide.md"]
  s.homepage = "https://github.com/mitchellh/middleware"
  s.rubygems_version = "2.4.5.1"
  s.summary = "Generalized implementation of the middleware abstraction for Ruby."
  s.test_files = ["spec/middleware/builder_spec.rb", "spec/middleware/runner_spec.rb", "spec/setup.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<redcarpet>, ["~> 2.1.0"])
      s.add_development_dependency(%q<rspec-core>, ["~> 2.8.0"])
      s.add_development_dependency(%q<rspec-expectations>, ["~> 2.8.0"])
      s.add_development_dependency(%q<rspec-mocks>, ["~> 2.8.0"])
      s.add_development_dependency(%q<yard>, ["~> 0.7.5"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<redcarpet>, ["~> 2.1.0"])
      s.add_dependency(%q<rspec-core>, ["~> 2.8.0"])
      s.add_dependency(%q<rspec-expectations>, ["~> 2.8.0"])
      s.add_dependency(%q<rspec-mocks>, ["~> 2.8.0"])
      s.add_dependency(%q<yard>, ["~> 0.7.5"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<redcarpet>, ["~> 2.1.0"])
    s.add_dependency(%q<rspec-core>, ["~> 2.8.0"])
    s.add_dependency(%q<rspec-expectations>, ["~> 2.8.0"])
    s.add_dependency(%q<rspec-mocks>, ["~> 2.8.0"])
    s.add_dependency(%q<yard>, ["~> 0.7.5"])
  end
end
